package com.qmth.sop.common.enums;

/**
 * @Description: 序列号枚举
 * @Author: CaoZixuan
 * @Date: 2023-08-21
 */
public enum SequenceEnum {
    USER_ARCHIVES_CODE("用户档案编号", "userArchivesCode", "ARC"),
    DEVICE_IN_OUT_CODE("设备出入库流水号", "deviceInOutCode", "DIO");
    private final String title;

    private final String code;

    private final String prefix;

    SequenceEnum(String title, String code, String prefix) {
        this.title = title;
        this.code = code;
        this.prefix = prefix;
    }

    public String getTitle() {
        return title;
    }

    public String getCode() {
        return code;
    }

    public String getPrefix() {
        return prefix;
    }
}
